Lintian Fixes - fextremes

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/fextremes lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2020-05-18 15:18:31 +0000
+++ b/debian/changelog	2020-06-04 20:14:09 +0000
@@ -1,3 +1,11 @@
+fextremes (3042.82-4) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 04 Jun 2020 20:12:35 -0000
+
 fextremes (3042.82-3) unstable; urgency=medium
 
   * Rebuilt for r-4.0 transition
@@ -10,10 +18,10 @@
 fextremes (3042.82-2) unstable; urgency=medium
 
   * Rebuilding for R 3.5.0 transition
-  
+
   * debian/control: Set Build-Depends: to current R version
   * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
   * debian/control: Add Vcs-Browser: and Vcs-Git:
   * debian/control: Switch from cdbs to dh-r
   * debian/rules: Idem
@@ -23,9 +31,9 @@
 fextremes (3042.82-1) unstable; urgency=medium
 
   * New upstream release
-  
-  * debian/control: Set Standards-Version: to current version 
-  * debian/control: Set Build-Depends: to current R version 
+
+  * debian/control: Set Standards-Version: to current version
+  * debian/control: Set Build-Depends: to current R version
   * debianb/control: Add Depends: on ${misc:Depends}
   * debian/compat: Set level to 9
 
@@ -34,9 +42,9 @@
 fextremes (3010.81-2) unstable; urgency=medium
 
   * debian/compat: Created 			(Closes: #828110)
- 
+
   * debian/control: Set Build-Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jun 2016 07:09:38 -0500
 
@@ -45,8 +53,8 @@
   * New upstream release
 
   * debian/control: Set (Build-)Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
-  
+  * debian/control: Set Standards-Version: to current version
+
  -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2013 19:14:29 -0600
 
 fextremes (3010.80-1) unstable; urgency=low
@@ -63,8 +71,8 @@
 
 fextremes (2160.78-2) unstable; urgency=low
 
-  * debian/control: Set Build-Depends: to current R version 
-  
+  * debian/control: Set Build-Depends: to current R version
+
   * (Re-)building with R 3.0.0
 
  -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:24:09 -0500
@@ -72,10 +80,10 @@
 fextremes (2160.78-1) unstable; urgency=low
 
   * New upstream release
-  
+
   * debian/control: Set Build-Depends: to current R version
   * debian/control: Change Depends to ${R:Depends}
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Dec 2012 16:53:07 -0600
 
@@ -84,7 +92,7 @@
   * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created
 
   * debian/control: Set (Build-)Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Oct 2011 15:26:23 -0500
 
@@ -101,7 +109,7 @@
   * New upstream release
 
   * debian/control: Set (Build-)Depends: to current R version
-  * debian/control: Set Standards-Version: to current version 
+  * debian/control: Set Standards-Version: to current version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:14:19 -0500
 
@@ -110,12 +118,12 @@
   * New upstream release
 
   * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
-  
+
   * debian/control: Changed Section: to new section 'gnu-r'
-  
+
   * debian/control: Set (Build-)Depends: to current R version
   * debian/control: Set Standards-Version: to current version 3.8.1
-  
+
  -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:00:58 -0500
 
 fextremes (270.75-1) unstable; urgency=low
@@ -123,7 +131,7 @@
   * New upstream release
 
   * debian/control: Updated (Build-)Depends: and Suggests:
-  
+
   * debian/control: Set (Build-)Depends: to current R version
 
  -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Oct 2008 21:26:34 -0500
@@ -144,7 +152,7 @@
   * debian/control: Set (Build-)Depends: on r-cran-fbasics (>= 260.72)
   * debian/control: Added Build-Depends on xfvb for tcltk lazyload at build
 
-  * Built with R 2.6.0, so setting (Build-)Depends: to 
+  * Built with R 2.6.0, so setting (Build-)Depends: to
     'r-base-(core|dev) >= 2.6.0' to prevent move to testing before R 2.6.0
 
  -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Nov 2007 20:11:13 -0600
@@ -162,27 +170,27 @@
 fextremes (240.10068-1) unstable; urgency=low
 
   * New upstream release
-  * This version closes a bug caused by the r-cran-fseries package (on 
+  * This version closes a bug caused by the r-cran-fseries package (on
     which this Build-Depends:) that has been fixed there   (Closes: #393030)
 
   * debian/control: Build-Depends: updated to r-base-dev (>= 2.4.0)
   * debian/control: Added (Build-)Depends: for r-cran-fecofin
-  * debian/control: Added missing Depends: ${shlibs:Depends} 
+  * debian/control: Added missing Depends: ${shlibs:Depends}
   * debian/control: Standards-Version: upgradeded to 3.7.2
-  * debian/control: Set Architecture: to 'all' 
+  * debian/control: Set Architecture: to 'all'
 
  -- Dirk Eddelbuettel <edd@debian.org>  Wed,  1 Nov 2006 16:32:35 -0600
 
 fextremes (221.10065-3) unstable; urgency=low
 
-  * debian/control: Build-Depends (and Depends:) on updated 
+  * debian/control: Build-Depends (and Depends:) on updated
    r-cran-fmultivar (>= 221-10065a)  			  (Closes: #369508)
 
  -- Dirk Eddelbuettel <edd@debian.org>  Fri,  2 Jun 2006 13:21:23 -0500
 
 fextremes (221.10065-2) unstable; urgency=low
 
-  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk 
+  * debian/rules: Simplified to cdbs-based one-liner sourcing r-cran.mk
   * debian/control: Hence Build-Depends: updated to r-base-dev (>= 2.3.0)
 
   * debian/control: Standards-Version: increased to 3.7.2
@@ -192,8 +200,8 @@
 fextremes (221.10065-1) unstable; urgency=low
 
   * New upstream release
-  
-  * debian/watch: One more fix for regular expression 
+
+  * debian/watch: One more fix for regular expression
 
  -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Feb 2006 11:13:02 -0600
 
@@ -216,7 +224,7 @@
 fextremes (201.10059-1) unstable; urgency=low
 
   * New upstream release
-  * debian/control: Add r-cran-fcalendar and r-cran-fmultivar to 
+  * debian/control: Add r-cran-fcalendar and r-cran-fmultivar to
     (Build-)Depends
 
  -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Apr 2005 21:32:47 -0500
@@ -250,5 +258,3 @@
   * Initial Debian packaging
 
  -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 Jun 2004 13:29:55 -0500
-
-

=== removed file 'debian/compat'
--- a/debian/compat	2018-06-06 01:17:17 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-9

=== modified file 'debian/control'
--- a/debian/control	2020-05-18 15:18:31 +0000
+++ b/debian/control	2020-06-04 20:14:09 +0000
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, r-cran-ftrading, xvfb, xauth, xfonts-base
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.0.0), dh-r, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fgarch, r-cran-ftrading, xvfb, xauth, xfonts-base
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-fextremes
 Vcs-Git: https://salsa.debian.org/edd/r-cran-fextremes.git
@@ -15,7 +15,6 @@
 Description: GNU R package for financial engineering -- fExtremes
  This package of functions for financial engineering and computational
  finance is part of Rmetrics, a collection of packages written and
- compiled by Diethelm Wuertz. 
+ compiled by Diethelm Wuertz.
  .
  fExtremes provides functions to analyze extreme values.
-

=== modified file 'debian/rules'
--- a/debian/rules	2018-06-06 01:25:06 +0000
+++ b/debian/rules	2020-06-04 20:12:51 +0000
@@ -5,4 +5,3 @@
 
 %:
 	dh $@ --buildsystem R
-

Run locally

Try this locally (using the lintian-brush package):

debcheckout fextremes
cd fextremes
lintian-brush

More details

Full run details